%define ver_major 2.6
%def_without static

Name: metacity
Version: %ver_major.3
Release: alt2

Summary: Metacity window manager
License: GPL
Group: Graphical desktop/GNOME
Url: http://people.redhat.com/~hp/%name

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Provides: gnome-wm

%define GConf_ver 2.4.0
%define gtk_ver 2.2.4
%define intltool_ver 0.27.2
%define glade2_ver 2.0.1-alt2
%define startup_notification_ver 0.5

PreReq: GConf2 >= %GConf_ver
Requires: lib%name = %version-%release
Requires: libgtk+2 >= %gtk_ver
Requires: libstartup-notification >= %startup_notification_ver

# default theme Atlanta
Requires: %name-themes-atlanta = %version-%release

BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: libglade2-devel >= %glade2_ver

# Automatically added by buildreq on Wed Sep 10 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel libGConf2-devel libORBit2 libatk-devel libexpat libgtk+2-devel libintl-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel pkgconfig

%description
Metacity is a simple window manager that integrates nicely with
GNOME 2.

%package -n lib%name
Summary: Shared library for Metacity
Group: System/Libraries

%description -n lib%name
This package contains shared library needed to run Metacity.

%package -n lib%name-devel
Summary: Development files for lib%name
Group: Development/C
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver

%description -n lib%name-devel
This package contains headers and development libraries for lib%name

%package -n lib%name-devel-static
Summary: Static version of lib%name
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the lib%name static library.

%package themes-default
Summary: Metacity default themes
Group: Graphical desktop/GNOME
Obsoletes: %name-themes
Provides: %name-themes = %version-%release
Requires: %name-themes-atlanta = %version-%release	%name-themes-bright = %version-%release
Requires: %name-themes-crux = %version-%release		%name-themes-esco = %version-%release
Requires: %name-themes-gorilla = %version-%release	%name-themes-metabox = %version-%release
Requires: %name-themes-simple = %version-%release

%description themes-default
This is virtual package that provides all themes for Metacity
(AgingGorilla, Atlanta, Crux, Bright, Esco and Metabox)

%package themes-atlanta
Summary: Metacity theme - Atlanta
Group: Graphical desktop/GNOME

%description themes-atlanta
This package contains a simple low-overhead default theme for Metacity.

%package themes-bright
Summary: Metacity theme - Bright
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description themes-bright
This package contains a simple theme based on Havoc Pennington's Atlanta.

%package themes-crux
Summary: Metacity theme - Crux
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description themes-crux
This package contains a port of the Crux theme by Arlo Rose and John
Harper.

%package themes-esco
Summary: Metacity theme - Esco
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description themes-esco
This package contains a simple theme designed to look really good match
GTK+ well.

%package themes-gorilla
Summary: Metacity theme - AgingGorilla
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description themes-gorilla
This package contains a port of the Gorilla theme by Jacub Steiner

%package themes-metabox
Summary: Metacity theme - Metabox
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description themes-metabox
This package contains a theme that looks a little like BlackBox.

%package themes-simple
Summary: Metacity theme - Simple
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description themes-simple
This package contains default GNOME window theme. It based on Atlanta
theme. 

%define _libexecdir %_libdir/%name

%prep
%setup -q

%build
%configure --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%find_lang %name

%post
%gconf2_install %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_libexecdir
%_libexecdir/*
%_datadir/gnome/wm-properties/*
%_datadir/%name
%_datadir/pixmaps/*
%config %_sysconfdir/gconf/schemas/*
%doc README AUTHORS NEWS ChangeLog

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc doc/*.txt doc/*.dtd HACKING

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files themes-default

%files themes-gorilla
%_datadir/themes/AgingGorilla/*

%files themes-atlanta
%_datadir/themes/Atlanta/*

%files themes-bright
%_datadir/themes/Bright/*

%files themes-crux
%_datadir/themes/Crux/*

%files themes-esco
%_datadir/themes/Esco/*

%files themes-metabox
%_datadir/themes/Metabox/*

%files themes-simple
%_datadir/themes/Simple/*

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt2
- do not package .la files.
- do not build devel-static subpackage by default.
- metacity-themes-simple subpackage.

* Tue Oct 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt2
- provides gnome-wm

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.5.0-alt1
- 2.5.0

* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.34-alt1
- 2.4.34

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.21-alt1
- 2.4.21

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.13-alt1
- 2.4.13

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.8-alt2
- Remove obsoleted config dialog.

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.8-alt1
- 2.4.8

* Sat Nov 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.5-alt2
- fixed ru.po

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.5-alt1
- 2.4.5
- lib%name{,-devel{,-static}} subpackages.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt2
- Rebuild with startup-notification.

* Tue Oct 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.3-alt1
- new version.

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt2.1
- Removed dependence on Metacity for default theme.

* Fri Oct 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt2
- %name-themes renamed to %name-themes-default.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2
- themes splitted in separate packages.

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- First build for Sisyphus.
